libxi6_1.7.9-1_i386.deb


Advertisement

Description

libxi6 - X11 Input extension library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libxi6_1.7.9-1_i386.deb
Package name libxi6
Package version 1.7.9
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://www.x.org/
License -
Maintainer Debian X Strike Force <debian-x@lists.debian.org>
Download size 83.19 KB
Installed size 143.00 KB
libXi provides an X Window System client interface to the XINPUT
extension to the X protocol.
The Input extension allows setup and configuration of multiple input devices,
and hotplugging of input devices (to be added and removed on the fly).
More information about X.Org can be found at:
<URL:https://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libXi

Alternatives

Package Version Architecture Repository
libxi6_1.7.9-1_amd64.deb 1.7.9 amd64 Debian Main
libxi6 - - -

Requires

Name Value
libc6 >= 2.4
libx11-6 >= 2:1.6.0
libxext6 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxi6_1.7.9-1_i386.deb
Source Package libxi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxi6 deb package:
    # sudo apt-get install libxi6

Files

Path
/usr/lib/i386-linux-gnu/libXi.so.6
/usr/lib/i386-linux-gnu/libXi.so.6.1.0
/usr/share/doc/libxi6/changelog.Debian.gz
/usr/share/doc/libxi6/changelog.gz
/usr/share/doc/libxi6/copyright

Changelog

2017-01-23 - Emilio Pozuelo Monfort <pochu@debian.org>
libxi (2:1.7.9-1) unstable; urgency=medium
* New upstream release.
2016-12-29 - Emilio Pozuelo Monfort <pochu@debian.org>
libxi (2:1.7.8-2) unstable; urgency=medium
* Cherry-pick upstream commit 557b6079, don't free an uninitialized
buffer. Closes: #849026.
2016-12-06 - Emilio Pozuelo Monfort <pochu@debian.org>
libxi (2:1.7.8-1) unstable; urgency=medium
[ Andreas Boll ]
* New upstream release.
- Fixes CVE-2016-7945 and CVE-2016-7946 (Closes: #840440).
* Update d/upstream/signing-key.asc with Matthieu Herrb's key.
* Update a bunch of URLs in packaging to https.
* Bump Standards-Version to 3.9.8, no changes needed.
[ Emilio Pozuelo Monfort ]
* Acknowledge 2:1.7.6-1.1 NMU.
* Cherry-pick upstream commit 7ac03c6c to plug a memory leak in the
security fix.
* Cherry-pick upstream commit 4c5c8d62, check a buffer was allocated
before writing to it.
* Bump debhelper compat to 10.
+ debhelper now calls dh-autoreconf automatically.
+ debhelper now enables --parallel by default.
* Switch to -dbgsym packages.
* debhelper passes --disable-silent-rules to configure for us.
* Drop explicit build target. dh $@ can handle it.
2016-11-03 - Matthias Klose <doko@debian.org>
libxi (2:1.7.6-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Mark libxi-dev as Multi-Arch: same. Closes: #689068.
* Explicitly specify documentation's anchor ids instead of generating
non-reproducible ones during the build (Francois Gouget).
2016-01-24 - Julien Cristau <jcristau@debian.org>
libxi (2:1.7.6-1) unstable; urgency=medium
* New upstream release.
* Remove Drew and Cyril from Uploaders.
* Fix package descriptions: input hotplugging has been implemented years ago
(closes: #782987).  Thanks, Paul Wise!
2015-10-13 - Julien Cristau <jcristau@debian.org>
libxi (2:1.7.5-1) unstable; urgency=medium
[ Andreas Boll ]
* New upstream release.
* Switch to dh with the autoreconf and quilt addons.
* Fix lintian error: pre-depends-directly-on-multiarch-support libxi6.
* Let uscan verify tarball signatures.
* Fix Vcs-* fields.
* Remove obsolete XC- prefix from Package-Type field.
* Add upstream url.
* Bump standards version to 3.9.6.
[ Julien Cristau ]
* Delete obsolete debian/xsfbs.
2014-07-21 - Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
libxi (2:1.7.4-1) unstable; urgency=low
* New upstream release.
2013-08-12 - Julien Cristau <jcristau@debian.org>
libxi (2:1.7.2-1) unstable; urgency=low
* New upstream release.
2013-06-30 - Julien Cristau <jcristau@debian.org>
libxi (2:1.7.1.901-1) unstable; urgency=low
* New upstream release candidate.
[ Timo Aaltonen ]
* control: Bump policy to 3.9.4, no changes.
* control: Bump x11proto-input-dev build-dep to 2.2.99.1.
* libxi6.symbols: Added new symbols.
* rules: Bump shlibs.
* control: Add libfixes-dev to build-deps and libxi-dev Depends.
[ Julien Cristau ]
* Use dpkg-buildflags.
* Disable silent build rules.
* Bump debhelper compat level to 7.
* Simplify installing manpages.
* Fix clean rule for config.h.in.
* Use dh_prep instead of dh_clean -k.
2012-05-20 - Cyril Brulebois <kibi@debian.org>
libxi (2:1.6.1-1) unstable; urgency=low
[ Julien Cristau ]
* Don't require (fake)root for debian/rules clean.
[ Cyril Brulebois ]
* New upstream release.

See Also

Package Description
libxine2-all-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for all plugins
libxine2-bin_1.2.9-1+b2_i386.deb xine video/media player library – binary files
libxine2-console_1.2.9-1+b2_i386.deb libaa/libcaca/framebuffer/directfb related plugins for libxine2
libxine2-dev_1.2.9-1+b2_i386.deb xine video player library – development packages
libxine2-doc_1.2.9-1_all.deb xine video player library – documentation files
libxine2-ffmpeg_1.2.9-1+b2_i386.deb MPEG-related plugins for libxine2
libxine2-gnome_1.2.9-1+b2_i386.deb GNOME-related plugins for libxine2
libxine2-misc-plugins_1.2.9-1+b2_i386.deb Input, audio output and post plugins for libxine2
libxine2-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for commonly-used plugins
libxine2-vdr_1.2.9-1+b2_i386.deb VDR-related plugins for libxine2
libxine2-x_1.2.9-1+b2_i386.deb X desktop video output plugins for libxine2
libxine2-xvdr_2.1.0-1+b1_i386.deb Xine input plugin for vdr-plugin-xineliboutput streams
libxine2_1.2.9-1+b2_i386.deb xine media player library – metapackage
libxineliboutput-fbfe_2.1.0-1+b1_i386.deb Local framebuffer frontend for the xineliboutput plugin
libxineliboutput-sxfe_2.1.0-1+b1_i386.deb Local X-Server frontend for the xineliboutput plugin
Advertisement
Advertisement